> For the complete documentation index, see [llms.txt](https://docs.flowretail.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flowretail.com/docs/developers/api-documentation/reports/start-saf-t-report-generation.md).

# Start SAF-T report generation

Start SAF-T report generation for a set period. It is also possible to only run it for a specific set of stores.

Required permissions: REPORT\_ADMIN

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Reports","description":"Reports"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"SAFTReportCreateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SAFTReportCreateRequestSchema"}}}}},"schemas":{"SAFTReportCreateRequestSchema":{"title":"SAFTReportCreateRequestSchema","type":"object","properties":{"fromDate":{"format":"date","type":"string"},"toDate":{"format":"date","type":"string"},"storeUids":{"type":"array","items":{"$ref":"#/components/schemas/UID"}},"reportUid":{"$ref":"#/components/schemas/UID"}},"required":["fromDate","toDate"]},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"ReportResponseSchema":{"title":"ReportResponseSchema","type":"object","required":["reportUid","request","state","type","createdAt","createdBy","lastModifiedAt","lastModifiedBy","sendNotificationTo","progress","filename","filesize"],"properties":{"reportUid":{"$ref":"#/components/schemas/UID"},"request":{"anyOf":[{"$ref":"#/components/schemas/SAFTReportCreateRequestSchema"},{"$ref":"#/components/schemas/WarehouseStockDetailsReportCreateRequestSchema"},{"$ref":"#/components/schemas/GeneralReportCreateRequestSchema"},{"$ref":"#/components/schemas/ArtSupplierReportRequestSchema"}],"description":"The request response depends on the what type of report it is"},"state":{"$ref":"#/components/schemas/ReportStateENUM"},"type":{"$ref":"#/components/schemas/ReportTypeENUM"},"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string"},"lastModifiedAt":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"},"sendNotificationTo":{"type":"string"},"notificationSentAt":{"type":"string","format":"date-time"},"progress":{"type":"string"},"filename":{"type":"string"},"filesize":{"type":"integer"}}},"WarehouseStockDetailsReportCreateRequestSchema":{"title":"WarehouseStockDetailsReportCreateRequestSchema","type":"object","properties":{"warehouseUid":{"$ref":"#/components/schemas/UID"},"warehouseUids":{"type":"array","items":{"$ref":"#/components/schemas/UID"}},"brandUids":{"type":"array","items":{"$ref":"#/components/schemas/UID"}},"productGroupUids":{"type":"array","items":{"$ref":"#/components/schemas/UID"}},"reportUid":{"$ref":"#/components/schemas/UID"}}},"GeneralReportCreateRequestSchema":{"title":"GeneralReportCreateRequestSchema","type":"object","properties":{"fromDate":{"format":"date","type":"string"},"toDate":{"format":"date","type":"string"},"storeUids":{"type":"array","items":{"$ref":"#/components/schemas/UID"}},"reportUid":{"$ref":"#/components/schemas/UID"}},"required":["fromDate","toDate"]},"ArtSupplierReportRequestSchema":{"title":"ArtSupplierReportRequestSchema","type":"object","required":["fromDate","toDate","supplierUids","sendEmailToSupplier","productGroupUids"],"properties":{"fromDate":{"type":"string","format":"date"},"toDate":{"type":"string","format":"date"},"supplierUids":{"type":"array","items":{"$ref":"#/components/schemas/UID"}},"sendEmailToSupplier":{"type":"boolean"},"productGroupUids":{"type":"array","items":{"$ref":"#/components/schemas/UID"}},"showDiff":{"type":"boolean"}}},"ReportStateENUM":{"enum":["ABORTED","NOT_STARTED","IN_PROGRESS","COMPLETE"],"title":"ReportStateENUM","type":"string"},"ReportTypeENUM":{"description":"Available reports are:\n\n|ENUM | Description |\n| --- | --- |\n| SAFT | SAFT reports|\n| SalesPrStore | Sales per store|\n| StoreWarehouseDetails | Monthly warehouse details|\n| WarehouseStockDetails | Details list of all stock on the current warehouse|\n| ART_FEE | Art fee report|\n| ART_PROVISION | Artists' provision report|\n| OPEN_ITEMS | List of outstanding receivables |  \n| SOLD_NOT_DELIVERED | Products sold not delivered |\n","enum":["SAFT","StoreWarehouseDetails","SalesPrStore","WarehouseStockDetails","ART_FEE","ART_PROVISION","OPEN_ITEMS","SOLD_NOT_DELIVERED"],"title":"ReportTypeENUM","type":"string"}},"responses":{"ReportResponse":{"description":"Report details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReportResponseSchema"}}}}}},"paths":{"/tenants/{tenantUid}/organizations/{organizationUid}/reports/saf-t":{"post":{"description":"Start SAF-T report generation for a set period.\nIt is also possible to only run it for a specific set of stores.\n\nRequired permissions: REPORT_ADMIN","operationId":"post-tenant-organization-saft-run","parameters":[],"requestBody":{"$ref":"#/components/requestBodies/SAFTReportCreateRequest"},"responses":{"201":{"$ref":"#/components/responses/ReportResponse"}},"summary":"Start SAF-T report generation","tags":["Reports"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.flowretail.com/docs/developers/api-documentation/reports/start-saf-t-report-generation.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
